TapeFormatType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum TapeFormatType

- java.lang.Object
- - java.lang.Enum<TapeFormatType>
  - - tv.amwa.maj.enumeration.TapeFormatType

- All Implemented Interfaces:
    Serializable, Comparable<TapeFormatType>, MediaEnumerationValue

      public enum TapeFormatType
      extends Enum<TapeFormatType>
      implements MediaEnumerationValue

  Describes the format of the tape.

  Original C name: `aafTapeFormatType_e`

  See Also:
    `TypeDefinitions.TapeFormatType`, `TapeDescriptor.getTapeFormat()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_8mmFormat` The small form factor video 8 tape format.
    `BetacamFormat` Betacam tape format.
    `BetacamSPFormat` Betacam SP tape format.
    `Hi8Format` Hi-band video 8 tape format.
    `SVHSFormat` S-VHS tape format.
    `TapeFormatNull` Tape format type not specified.
    `VHSFormat` VHS tape format.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static TapeFormatType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TapeFormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### TapeFormatNull

          public static final TapeFormatType TapeFormatNull

      Tape format type not specified.

    - #### BetacamFormat

          public static final TapeFormatType BetacamFormat

      Betacam tape format. The betacam format is a half-inch professional video tape format.

    - #### BetacamSPFormat

          public static final TapeFormatType BetacamSPFormat

      Betacam SP tape format. The SP is short form for Superior Performance offered by improvements over betacam including its increased horizontal resolution.

    - #### VHSFormat

          public static final TapeFormatType VHSFormat

      VHS tape format. The Video Home System (VHS) tape that became the most popular format for consumer viewing and recording.

    - #### SVHSFormat

          public static final TapeFormatType SVHSFormat

      S-VHS tape format. Super VHS improves on the horizontal resolution of the VHS standard.

    - #### _8mmFormat

          public static final TapeFormatType _8mmFormat

      The small form factor video 8 tape format. A narrower version of the betamax format using 8 mm rather than 12 mm wide tape, popular for use in camcorders.

      Note that the name of this element starts with an underscore ('`_`') character as Java identifiers must start with an alphanumeric character or an underscore character. The specified name of this value is "`8mmFormat`".

    - #### Hi8Format

          public static final TapeFormatType Hi8Format

      Hi-band video 8 tape format. An improved version of the the video 8 format.

  - ### Method Detail

    - #### values

          public static TapeFormatType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TapeFormatType c : TapeFormatType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TapeFormatType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.